std::setfill(3)

NAME
std::setfill - std::setfill

Synopsis
   Defined in header <iomanip>
   template< class CharT >
   /*unspecified*/ setfill( CharT c );
   When used in an expression out << setfill(c) sets the fill character of the stream
   out to c.

Parameters
   c - new value for the fill character

Return value
   Returns an object of unspecified type such that if out is the name of an output
   stream of type std::basic_ostream<CharT, Traits>, then the expression out <<
   setfill(n) behaves as if the following code was executed:
   out.fill(n);

Notes
   The current fill character may be obtained with std::ostream::fill.

Example
// Run this code
 #include <iostream>
 #include <iomanip>
 int main()
 {
     std::cout << "default fill: [" << std::setw(10) << 42 << "]\n"
               << "setfill('*'): [" << std::setfill('*')
                        << std::setw(10) << 42 << "]\n";
 }

Output:
 default fill: [ 42]
 setfill('*'): [********42]

See also
   fill manages the fill character
            (public member function of std::basic_ios<CharT,Traits>)
   internal sets the placement of fill characters
   left (function)
   right
   setw changes the width of the next input/output field
            (function)